#include<iostream>
using namespace std;
int main(){
    char a,b;int c,d;cin>>a>>b>>c>>d;
    if(c<d-1||d<c-1)cout<<"nemoguce";
    else if(c<d){cout<<b;for(;c;c--)cout<<a<<b;}
    else if(c>d){cout<<a;for(;d;d--)cout<<b<<a;}
    else for(;c;c--)cout<<a<<b;
    return 0;}